"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const config = common_vendor.ref({ logo: [], file: [] });
    common_vendor.onShow(async () => {
      await searchConfig();
    });
    const searchConfig = async () => {
      config.value = common_vendor.index.getStorageSync("config");
    };
    const formatRichText = (html) => {
      if (html) {
        return html && html.replace(/<img[^>]*>/gi, function(match, capture) {
          return match.replace(/style=".*"/gi, "").replace(
            /style='.*'/gi,
            ""
          );
        }).replace(/\<img/gi, '<img style="width:100%;"');
      }
    };
    return (_ctx, _cache) => {
      return {
        a: formatRichText(config.value.brief),
        b: common_vendor.t(config.value.phone || "暂无")
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-36ae6b6d"], ["__file", "D:/project/学吧/learn_applet/pagesMy/introduce/index.vue"]]);
wx.createPage(MiniProgramPage);
